package com.example.dog

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import android.widget.*

/*
    The image files go into resources (the "res" directory) in the
    drawable sub-directory. The file names should include only small
    letters, numbers, and underscores -- and should not start with
    a number
*/

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        // connect code and interface ImageView
        val ivDog = findViewById(R.id.ivDog) as ImageView

        // connect code and interface spinners -- use resource array to populate
        val spDog = findViewById(R.id.spDog) as Spinner
        val aaDog = ArrayAdapter.createFromResource(this, R.array.dogs, android.R.layout.simple_spinner_item)
        spDog.adapter = aaDog

        // spinner event listener and handler
        spDog.onItemSelectedListener = object : AdapterView.OnItemSelectedListener {
            override fun onItemSelected(adapterView: AdapterView<*>, view: View, i: Int, l: Long) {
                val tvUserItem = view as TextView
                Toast.makeText(applicationContext, "You chose " + tvUserItem.text.toString(), Toast.LENGTH_SHORT).show()
                //Toast.makeText(applicationContext, "i: $i", Toast.LENGTH_SHORT).show()
                //Toast.makeText(applicationContext, "l: $l", Toast.LENGTH_SHORT).show()

                // "when" is Kotlin's version of switch
                when (tvUserItem.text.toString()) {
                    "Bulldog" -> ivDog.setImageResource(R.drawable.bulldog)
                    "Lhasa Apso" -> ivDog.setImageResource(R.drawable.lhasa_apso)
                    "Bloodhound" -> ivDog.setImageResource(R.drawable.bloodhound)
                    "Boxer" -> ivDog.setImageResource(R.drawable.boxer)
                    "Alaskan Malamute" -> ivDog.setImageResource(R.drawable.alaskan_malamute)
                    "Australian Cattle Dog" -> ivDog.setImageResource(R.drawable.australian_cattle_dog)
                    "Old English Sheepdog" -> ivDog.setImageResource(R.drawable.old_english_sheepdog)
                    "Dachshund" -> ivDog.setImageResource(R.drawable.dachshund)
                    "Beagle" -> ivDog.setImageResource(R.drawable.beagle)
                    "Border Collie" -> ivDog.setImageResource(R.drawable.border_collie)
                } // end when
            } // end onItemSelectedListener

            override fun onNothingSelected(adapterView: AdapterView<*>) {}
        } // end onItemSelectedListener
    }// end onCreate
}// end MainActivity class
